* {
    margin: 0;
    padding: 0;
}

body {
    box-sizing: border-box;
    overflow-x: hidden;
}

.head {
    position: relative;
    left: 45%;
    margin-bottom: 33px;

}

h1 {
    width: fit-content;
}

#chessboard {
    display: flex;
    flex-wrap: wrap;
    height: 32vw;
    width: 32vw;
    align-items: center;
    justify-content: center;
    position: relative;
    left: 35%;
    box-shadow: 0 6px 10px 0 rgba(0, 0, 0, 0.331), 0 6px 20px 0 rgba(0, 0, 0, 0.336);
}

.square {
    width: 4vw;
    height: 4vw;
    position: relative;
}

.light {
    background-color: whitesmoke;

}

.dark {
    background-color: grey;
}

.chesspiece {
    width: 100%;
    height: 100%;
    object-fit: contain;
    position: absolute;
    top: 0;
    left: 0;
}

.selected {
    outline: 3px solid gold;
}



.captured-zone {
    display: flex;
    flex-wrap: wrap;
    gap: 4px;
    padding: 10px;
    min-height: 50px;
    width: 90vw;
    background-color: #f3f3f3;
    border: 1px solid #ccc;
    margin-top: 15px;
}

.captured-piece {
    width: 30px;
    height: 30px;
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center;
}